Description

Supportanfrage:

Hallo,

habe Probleme bei der Verwendung der cMacroResolver Klasse. Ich möchte den DAT-Dateinamen aus dem Macro

$HD_PLAYER_FILE$ innerhalb eines Filters auslesen, bekomme aber immer nur einen leeren String zurück. Habe auch die

Variante mit $(HD_PLAYER_FILE) versucht ohne Erfolg. Verwendet wird der cMacroResolver innerhalb der Run(...) Methode des

Filters, im speziellen dann wenn der Harddiskplayer das EC_PlayPreFileOpen Event feuert. Auch die Registrierung eines eigenen

Macros funktioniert nicht. Hierfür habe ich die Beispiel Implementation cMacroResolverImpl aus den ADTF Examples verwendet.

Init Funktion des Filters

if (eStage == StageFirst)

{

        RETURN_IF_FAILED(_kernel->SignalRegister(static_cast<IRunnable*>(this)));

        pResolver = new cMacroResolverImpl;

        RETURN_IF_FAILED(_runtime->RegisterObject(pResolver, OID_MACRORESOLVER, IRuntime::RL_Kerne

l));

}

 Run Funktion des Filters

if (code == IEvent::EC_PlayPreFileOpen)

{                

                const tChar* MACRO_HD_PLAYER_FILE_NAME = "$HD_PLAYER_FILE_NAME$";

                const tChar* MACRO_USS_HD_PLAYER_FILE_NAME = "$USS_HD_PLAYER_FILE_NAME$";

                tChar filename[265];

                tChar ussFilename[256];

                RETURN_IF_FAILED(pResolver->ResolveMacros(MACRO_HD_PLAYER_FILE_NAME, filename, 256

));

                RETURN_IF_FAILED(pResolver->RegisterMacro(MACRO_USS_HD_PLAYER_FILE_NAME, "abcd", I

MacroResolver::MRF_Overwrite));  

}

 Ziel: Ich möchte den Namen der Aufnahme-DAT-Datei vom Playback-DAT-Dateinamen abhängig machen, aber nicht exakt

verwenden z.B. abcd_split_000.dat -> abcd.dat

Vielen Dank für eure Hilfe.

Mit freundlichen Grüßen,

Rick Vogel

Lösung:

2024-05-06 1/3



Möglicherweise wird es im falschen runlevel aufgerufen, wodurch es dann leer ist.

Weitere Informationen zu Macros:

https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_adtf_macros.html

Related issues:

Related to Public Support - Support Request #6181: HD_PLAYER_FILE could not b... Closed

History

#1 - 2018-05-28 15:02 - hidden

- Description updated

- Status changed from New to In Progress

- Topic set to ADTF::FilterSDK

- Customer set to AUDI

Hallo Rick,

Grundsätzlich wäre es vlt sinnvoller, den Namen über das Macro $HD_PLAYER_FILE_NAME$ abzurufen.

In welchem Runlevel rufst du das Macro auf? Möglicherweise wird es im falschen runlevel aufgerufen, wodurch es dann leer ist.

Informationen dazu findest du unter

https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_adtf_macros.html

Ohne deinen Filter können wir leider nicht genau sagen, woran es liegen könnte.

Kannst du uns deinen Filter zur Verfügung stellen?

Gib uns bitte Feedback bis 01.6.2018

#2 - 2018-05-29 10:12 - hidden

- Status changed from In Progress to Customer Feedback Required

#3 - 2018-06-04 08:33 - hidden

Hallo Rick,

bitte gib uns Feedback bis spätestens 06.06.2018.

Gruß,

Michael

#4 - 2018-06-04 08:50 - hidden

Hi Michael,

danke für die Vorschläge. Das Ticket kann geschlossen werden, werde es aus Zeitgründen anders realisieren.

Gruß,

Rick

#5 - 2018-06-04 08:54 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#6 - 2018-06-05 15:21 - hidden

- Subject changed from cMacroResolver / $HD_PLAYER_FILE$ etc. to Retrieve name of dat file

- Status changed from To Be Closed to Closed

- Private changed from Yes to No

Hallo Rick,

in folgenden Snippet wird exakt dein Use Case abgebildet.
Ticket wird geschlossen

#7 - 2019-02-14 15:43 - hidden

- Related to Support Request #6181: HD_PLAYER_FILE could not be resolved added
